Gtk::ActionGroup Class Reference
Inheritance diagram for Gtk::ActionGroup:
[legend]

## Public Member Functions

virtual | ~ActionGroup ()
GtkActionGroup* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkActionGroup* | gobj () const
| Provides access to the underlying C GObject. More...
GtkActionGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_name () const
| Gets the name of the action group. More...
bool | get_sensitive () const
| Returns `true` if the group is sensitive. More...
void | set_sensitive (bool sensitive=true)
| Changes the sensitivity of action_group. More...
bool | get_visible () const
| Returns `true` if the group is visible. More...
void | set_visible (bool visible=true)
| Changes the visible of action_group. More...
Glib::RefPtr< AccelGroup > | get_accel_group ()
| Gets the accelerator group. More...
Glib::RefPtr< const AccelGroup > | get_accel_group () const
| Gets the accelerator group. More...
void | set_accel_group (const Glib::RefPtr< AccelGroup >& accel_group)
| Sets the accelerator group to be used by every action in this group. More...
Glib::RefPtr< Action > | get_action (const Glib::ustring& action_name)
| Looks up an action in the action group by name. More...
Glib::RefPtr< const Action > | get_action (const Glib::ustring& action_name) const
| Looks up an action in the action group by name. More...
std::vector< Glib::RefPtr < Action > > | get_actions ()
| Lists the actions in the action group. More...
std::vector< Glib::RefPtr < const Action > > | get_actions () const
| Lists the actions in the action group. More...
void | add (const Glib::RefPtr< Action >& action)
void | add (const Glib::RefPtr< Action >& action, const AccelKey& accel_key)
void | add (const Glib::RefPtr< Action >& action, const Action::SlotActivate& slot)
void | add (const Glib::RefPtr< Action >& action, const AccelKey& accel_key, const Action::SlotActivate& slot)
void | remove (const Glib::RefPtr< Action >& action)
| Removes an action object from the action group. More...
Glib::ustring | translate_string (const Glib::ustring& string) const
| Translates a string using the function set with set_translate_func(). More...
Glib::SignalProxy2< void, const Glib::RefPtr< Action > &, Widget* > | signal_connect_proxy ()
Glib::SignalProxy2< void, const Glib::RefPtr< Action > &, Widget* > | signal_disconnect_proxy ()
Glib::SignalProxy1< void, const Glib::RefPtr< Action >& > | signal_pre_activate ()
Glib::SignalProxy1< void, const Glib::RefPtr< Action >& > | signal_post_activate ()
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| A name for the action group. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the action group is enabled. More...
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Whether the action group is enabled. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the action group is visible. More...
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Whether the action group is visible. More...
Glib::PropertyProxy < Glib::RefPtr< AccelGroup > > | property_accel_group ()
| The accelerator group the actions of this group should use. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< AccelGroup > > | property_accel_group () const
| The accelerator group the actions of this group should use. More...
Public Member Functions inherited from Gtk::Buildable
virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object. More...
Glib::ustring | get_name () const
| Gets the name of the buildable object. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ActionGroup > | create (const Glib::ustring& name=Glib::ustring())
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| ActionGroup (const Glib::ustring& name=Glib::ustring())
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it. More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::ActionGroup > | wrap (GtkActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

virtual Gtk::ActionGroup::~ActionGroup | ( |  | ) |

virtual

Gtk::ActionGroup::ActionGroup | ( | const Glib::ustring & | name = `Glib::ustring()` | ) |

explicitprotected

## Member Function Documentation

void Gtk::ActionGroup::add | ( | const Glib::RefPtr< Action >& | action | ) |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr< Action >& | action,
|  | const AccelKey& | accel_key
| ) |  |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr< Action >& | action,
|  | const Action::SlotActivate& | slot
| ) |  |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr< Action >& | action,
|  | const AccelKey& | accel_key,
|  | const Action::SlotActivate& | slot
| ) |  |

static Glib::RefPtr<ActionGroup> Gtk::ActionGroup::create | ( | const Glib::ustring & | name = `Glib::ustring()` | ) |

static

Glib::RefPtr<AccelGroup> Gtk::ActionGroup::get_accel_group | ( |  | ) |

Gets the accelerator group.

Since gtkmm 3.6:

Returns
  The accelerator group associated with this action group or `0` if there is none.

Glib::RefPtr<const AccelGroup> Gtk::ActionGroup::get_accel_group | ( |  | ) | const

Gets the accelerator group.

Since gtkmm 3.6:

Returns
  The accelerator group associated with this action group or `0` if there is none.

Glib::RefPtr<Action> Gtk::ActionGroup::get_action | ( | const Glib::ustring & | action_name | ) |

Looks up an action in the action group by name.

Since gtkmm 2.4:

Parameters

  action_name | The name of the action.

Returns
  The action, or `0` if no action by that name exists.

Glib::RefPtr<const Action> Gtk::ActionGroup::get_action | ( | const Glib::ustring & | action_name | ) | const

Looks up an action in the action group by name.

Since gtkmm 2.4:

Parameters

  action_name | The name of the action.

Returns
  The action, or `0` if no action by that name exists.

std::vector< Glib::RefPtr<Action> > Gtk::ActionGroup::get_actions | ( |  | ) |

Lists the actions in the action group.

Since gtkmm 2.4:

Returns
  An allocated list of the action objects in the action group.

std::vector< Glib::RefPtr<const Action> > Gtk::ActionGroup::get_actions | ( |  | ) | const

Lists the actions in the action group.

Since gtkmm 2.4:

Returns
  An allocated list of the action objects in the action group.

Glib::ustring Gtk::ActionGroup::get_name | ( |  | ) | const

Gets the name of the action group.

Since gtkmm 2.4:

Returns
  The name of the action group.

bool Gtk::ActionGroup::get_sensitive | ( |  | ) | const

Returns `true` if the group is sensitive.

The constituent actions can only be logically sensitive (see is_sensitive()) if they are sensitive (see get_sensitive()) and their group is sensitive.

Since gtkmm 2.4:

Returns
  `true` if the group is sensitive.

static GType Gtk::ActionGroup::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

bool Gtk::ActionGroup::get_visible | ( |  | ) | const

Returns `true` if the group is visible.

The constituent actions can only be logically visible (see is_visible()) if they are visible (see get_visible()) and their group is visible.

Since gtkmm 2.4:

Returns
  `true` if the group is visible.

GtkActionGroup* Gtk::ActionGroup::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GtkActionGroup* Gtk::ActionGroup::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GtkActionGroup* Gtk::ActionGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< Glib::RefPtr<AccelGroup> > Gtk::ActionGroup::property_accel_group | ( |  | ) |

The accelerator group the actions of this group should use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<AccelGroup> > Gtk::ActionGroup::property_accel_group | ( |  | ) | const

The accelerator group the actions of this group should use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::ActionGroup::property_name | ( |  | ) | const

A name for the action group.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::ActionGroup::property_sensitive | ( |  | ) |

Whether the action group is enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ActionGroup::property_sensitive | ( |  | ) | const

Whether the action group is enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::ActionGroup::property_visible | ( |  | ) |

Whether the action group is visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ActionGroup::property_visible | ( |  | ) | const

Whether the action group is visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::ActionGroup::remove | ( | const Glib::RefPtr< Action >& | action | ) |

Removes an action object from the action group.

Since gtkmm 2.4:

Parameters

  action | An action.

void Gtk::ActionGroup::set_accel_group | ( | const Glib::RefPtr< AccelGroup >& | accel_group | ) |

Sets the accelerator group to be used by every action in this group.

Since gtkmm 3.6:

Parameters

  accel_group | A Gtk::AccelGroup to set or `0`.

void Gtk::ActionGroup::set_sensitive | ( | bool | sensitive = `true` | ) |

Changes the sensitivity of action_group.

Since gtkmm 2.4:

Parameters

  sensitive | New sensitivity.

void Gtk::ActionGroup::set_visible | ( | bool | visible = `true` | ) |

Changes the visible of action_group.

Since gtkmm 2.4:

Parameters

  visible | New visiblity.

Glib::SignalProxy2< void,const Glib::RefPtr<Action>&,Widget* > Gtk::ActionGroup::signal_connect_proxy | ( |  | ) |

Slot Prototype:
  `void on_my_connect_proxy(const Glib::RefPtr<Action>& action, Widget* proxy)`

The signal_connect_proxy() signal is emitted after connecting a proxy to an action in the group. Note that the proxy may have been connected to a different action before.

This is intended for simple customizations for which a custom action class would be too clumsy, e.g. showing tooltips for menuitems in the statusbar.

Gtk::UIManager proxies the signal and provides global notification just before any action is connected to a proxy, which is probably more convenient to use.

Since gtkmm 2.4:

Parameters

  action | The action.
  proxy | The proxy.

Glib::SignalProxy2< void,const Glib::RefPtr<Action>&,Widget* > Gtk::ActionGroup::signal_disconnect_proxy | ( |  | ) |

Slot Prototype:
  `void on_my_disconnect_proxy(const Glib::RefPtr<Action>& action, Widget* proxy)`

The signal_disconnect_proxy() signal is emitted after disconnecting a proxy from an action in the group.

Gtk::UIManager proxies the signal and provides global notification just before any action is connected to a proxy, which is probably more convenient to use.

Since gtkmm 2.4:

Parameters

  action | The action.
  proxy | The proxy.

Glib::SignalProxy1< void,const Glib::RefPtr<Action>& > Gtk::ActionGroup::signal_post_activate | ( |  | ) |

Slot Prototype:
  `void on_my_post_activate(const Glib::RefPtr<Action>& action)`

The signal_post_activate() signal is emitted just after the action in the action_group is activated

This is intended for Gtk::UIManager to proxy the signal and provide global notification just after any action is activated.

Since gtkmm 2.4:

Parameters

  action | The action.

Glib::SignalProxy1< void,const Glib::RefPtr<Action>& > Gtk::ActionGroup::signal_pre_activate | ( |  | ) |

Slot Prototype:
  `void on_my_pre_activate(const Glib::RefPtr<Action>& action)`

The signal_pre_activate() signal is emitted just before the action in the action_group is activated

This is intended for Gtk::UIManager to proxy the signal and provide global notification just before any action is activated.

Since gtkmm 2.4:

Parameters

  action | The action.

Glib::ustring Gtk::ActionGroup::translate_string | ( | const Glib::ustring & | string | ) | const

Translates a string using the function set with set_translate_func().

This is mainly intended for language bindings.

Since gtkmm 2.6:

Parameters

  string | A string.

Returns
  The translation of string.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::ActionGroup > wrap | ( | GtkActionGroup * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/actiongroup.h